libkysset (4.1.0.0-ok0.13) nile; urgency=medium

  * BUG号：无
  * 需求号：无
  * 其他改动说明：构建 nile-sp2 版本
  * 其他改动影响域: 无

 -- kyliujiayang <liujiayang@kylinos.cn>  Thu, 05 Jun 2025 10:00:00 +0800

libkysset (4.1.0.0-ok0.12) nile; urgency=medium

  * 将初始化ui操作从构造中放到pluginUI

 -- zhaoshixu <zhaoshixu@kylinos.cn>  Wed, 09 Apr 2025 09:52:00 +0800

libkysset (4.1.0.0-ok0.11) nile; urgency=medium

  * 增加阿越语言支持 

 -- Kevin Duan <duankaiwen@kylinos.cn>  Fri, 1 Nov 2024 10:20:27 +0800

libkysset (4.1.0.0-ok0.10) nile; urgency=medium

  * update search text.   

 -- zhaoshixu <zhaoshixu@kylinos.cn>  Fri, 1 Nov 2024 10:20:27 +0800

libkysset (4.1.0.0-ok0.9) nile; urgency=medium

  * 增加对哈柯的支持

 -- Kevin Duan <duankaiwen@kylinos.cn>  Wed, 19 Jun 2024 14:06:49 +0800

libkysset (4.1.0.0-ok0.8) nile; urgency=medium

  * 增加对维吾尔语ug_CN的支持

 -- zhaoshixu <zhaoshixu@kylinos.cn>  Wed, 19 Jun 2024 14:06:49 +0800

libkysset (4.1.0.0-ok0.7) nile; urgency=medium

  * wayland和wlcom下映射属性 接口变化 

 -- zhaoshixu <zhaoshixu@kylinos.cn>  Fri, 24 May 2024 15:35:12 +0800

libkysset (4.1.0.0-ok0.6) nile; urgency=medium

  * 映射适配wlcom接口，和kwin统一 

 -- zhaoshixu <zhaoshixu@kylinos.cn>  Wed, 15 May 2024 14:23:32 +0800

libkysset (4.1.0.0-ok0.5) nile; urgency=medium

  * 修复x环境下显示器列表无法正常显示的问题

 -- wangyan <wangyan@kylinos.cn>  Thu, 18 Jan 2024 15:52:04 +0800

libkysset (4.1.0.0-ok0.4) nile; urgency=medium

  * 隐藏触摸校准按钮功能

 -- wangyan <wangyan@kylinos.cn>  Thu, 07 Dec 2023 16:57:11 +0800

libkysset (4.1.0.0-ok0.3) nile; urgency=medium

  * 修改获取显示器名字的调用接口

 -- wangyan <wangyan@kylinos.cn>  Wed, 06 Dec 2023 09:30:59 +0800

libkysset (4.1.0.0-ok0.1) nile; urgency=medium

  * 修改dbus的path名称，并解决平台编包失败问题

 -- wangyan <wangyan@kylinos.cn>  Wed, 29 Nov 2023 09:36:06 +0800

libkysset (4.1.0.0-ok0) nile; urgency=medium

  * 同步主线需求

 -- wangyan <wangyan@kylinos.cn>  Wed, 15 Nov 2023 16:22:37 +0800

libkysset (1.1.0.1-0k3.0) v101; urgency=medium

  * Bug: 无
  * 需求: 23956 23957 触摸映射支持wayland环境
  * 其他改动说明: 优化触摸映射插件代码结构
  * 其他改动影响域: X11和wayland环境下的控制面板触摸映射插件

 -- wangyan <wangyan@kylinos.cn>  Tue, 14 Nov 2023 16:40:51 +0800

libkysset (1.1.0.1-0k2.0) v101; urgency=medium

  * Bug: 无
  * 需求: 23968
  * 其他改动说明: 新增繁体翻译文件
  * 其他改动影响域: 影响触摸校准插件界面繁体翻译

 -- wangyan <wangyan@kylinos.cn>  Fri, 22 Sep 2023 11:14:37 +0800

libkysset (1.1.0.1-0k1.9) v101; urgency=medium

  * Bug: #190129 【系统登出】注销系统后，产生控制面板core文件
  * 需求: 无
  * 其他改动说明: 使用select监听XServer socket的事件，超时时间为1秒，
    在进程退出时，设置监听子线程退出标志位，在select超时后子线程退出，
    避免进程退出时子线程还未完成产生coredump
  * 其他改动影响域: 影响触摸校准插件对设备插拔的监听和控制面板的退出流程

 -- wangweinan <wangweinan@kylinos.cn>  Wed, 20 Sep 2023 15:23:43 +0800

libkysset (1.1.0.1-0k1.8) v101; urgency=medium

  * No-change rebuild for sw64.

 -- Luoyaoming <luoyaoming@kylinos.cn>  Wed, 30 Aug 2023 09:41:36 +0800

libkysset (1.1.0.1-0k1.7) v101; urgency=medium

  * Bug: #188409 由于触摸校准插件的藏文翻译与触控板一致，导致在没有触控板的设备的控制面板中出现触控板模块
  * 需求：无
  * 其它改动说明：修改触摸校准插件的藏文翻译
  * 其它改动影响域：触摸校准插件的藏文显示

 -- wangyan <wangyan@kylinos.cn>  Wed, 23 Aug 2023 10:29:04 +0800

libkysset (1.1.0.1-0k1.6) v101; urgency=medium

  * Bug: #183917 实现触摸校准对两个相同名称的触摸屏进行映射关系信息的保存
  * 需求：无
  * 其它改动说明：获取触摸设备的VID和PID，并保存在配置文件中
  * 其它改动影响域：触摸映射插件

 -- wangyan <wangyan@kylinos.cn>  Fri, 11 Aug 2023 10:59:55 +0800

libkysset (1.1.0.1-0k1.5) v101; urgency=medium

  * Bug: #183917 解决插入触摸屏后控制面板界面不显示触摸校准界面的问题
  * 需求：无
  * 其它改动说明：优化部分相关代码逻辑
  * 其它改动影响域：控制面板的触摸映射插件

 -- wangyan <wangyan@kylinos.cn>  Mon, 07 Aug 2023 17:15:48 +0800

libkysset (1.1.0.1-0k1.4) v101; urgency=medium

  * Bug: #179141
  * 需求：无
  * 其它改动说明：将整个仓库规范成qmake的形式
  * 其它改动影响域：控制面板的触摸映射插件

 -- wangyan <wangyan@kylinos.cn>  Mon, 24 Jul 2023 15:11:10 +0800

libkysset (1.1.0.1-0k1.3) v101; urgency=medium

  * Bug: 180150
  * 需求: 无
  * 其他改动说明: 回退commit 5e9d15b3d920e2f3ba772afa52505fded0cab287
  * 其他改动影响域: 控制面板的触摸映射插件

 -- wangweinan <wangweinan@kylinos.cn>  Wed, 12 Jul 2023 09:44:02 +0800

libkysset (1.1.0.1-0k1.2) v101; urgency=medium

  * Bug: 178335
  * 需求: 无
  * 其他改动说明: 增加安装ts文件
  * 其他改动影响域: 触摸校准界面的翻译和搜索

 -- wangweinan <wangweinan@kylinos.cn>  Wed, 05 Jul 2023 16:01:43 +0800

libkysset (1.1.0.1-0k1.1) v101; urgency=medium

  * Bug: 无
  * 需求：无
  * 其它改动说明：新增蒙古文翻译文件
  * 其它改动影响域：蒙古文模式下插件显示的语言

 -- wangyan <wangyan@kylinos.cn>  Tue, 27 Jun 2023 17:55:29 +0800

libkysset (1.1.0.1-0k1.0) v101; urgency=medium

  * BUG号: 无
  * 需求号: 22601 控制面板数据埋点
  * 其他改动说明: 增加数据埋点
  * 其他改动影响域: 无

 -- wangweinan <wangweinan@kylinos.cn>  Thu, 25 May 2023 17:24:57 +0800

libkysset (1.1.0.1-0k0.3) v101; urgency=medium

  *  BUG号： 117617 【x100】【触摸屏】拔出触摸屏USB连接线，控制面板触摸屏选项没有消失；重新接入触摸屏控制面板触摸屏选项也不能实时更新
  *  需求号：无
  *  其他改动说明：打开控制面板后不点击插件也可以动态加载
  *  其他改动影响域：无

 -- shenyafeng <shenyafeng@kylinos.cn>  Tue, 27 Dec 2022 11:40:29 +0800

libkysset (1.1.0.1-0k0.2) v101; urgency=medium

  *  BUG号： 117617 【x100】【触摸屏】拔出触摸屏USB连接线，控制面板触摸屏选项没有消失；重新接入触摸屏控制面板触摸屏选项也不能实时更新
  *  需求号：无
  *  其他改动说明：无
  *  其他改动影响域：无

 -- shenyafeng <shenyafeng@kylinos.cn>  Tue, 20 Dec 2022 17:10:09 +0800

libkysset (1.1.0.1-0k0.1) v101; urgency=medium

  *  BUG号：
  *  需求号：无
  *  其他改动说明：修改版本号格式
  *  其他改动影响域：无

 -- shenyafeng <shenyafeng@kylinos.cn>  Mon, 28 Nov 2022 16:44:04 +0800

libkysset (1.1kord-32k0.4.2) v101; urgency=medium

  *  BUG号： 143702 【控制面板】【UKUI需求16212】【平板】select控件的高度不等于48px
  *  需求号：无
  *  其他改动说明：无
  *  其他改动影响域：无

 -- shenyafeng <shenyafeng@kylinos.cn>  Thu, 17 Nov 2022 14:15:33 +0800

libkysset (1.1kord-32k0.3) v101; urgency=medium

  *  BUG号： 140564 【触摸校准】切换系统语言为藏文，触摸校准界面未藏化，仍为英文
  *  需求号：无
  *  其他改动说明：无
  *  其他改动影响域：无

 -- shenyafeng <shenyafeng@kylinos.cn>  Fri, 21 Oct 2022 09:21:41 +0800

libkysset (1.1kord-32k0.2) v101; urgency=medium
  
  *  BUG号： 132597 【屏幕触摸】接入双屏，扩展模式下，触摸屏使用异常
  *  需求号：无
  *  其他改动说明：无
  *  其他改动影响域：无

 -- zhangdongwei <zhangdongwei@kylinos.cn>  Mon, 05 Sep 2022 17:34:42 +0800

libkysset (1.1kord-32k0.1) v101; urgency=medium
  
  *  BUG号： 132597 【屏幕触摸】接入双屏，扩展模式下，触摸屏使用异常
  *  需求号：无
  *  其他改动说明：无
  *  其他改动影响域：无

 -- zhangdongwei <zhangdongwei@kylinos.cn>  Mon, 22 Aug 2022 16:34:44 +0800

libkysset (1.1kord-24k0.1) v101; urgency=medium

  *  BUG号：无
  *  需求号：无
  *  其他改动说明：修改运行依赖问题
  *  其他改动影响域：无

 -- hechengyuan <hechengyuan@kylinos.cn>  Wed, 13 Apr 2022 16:03:02 +0800

libkysset (1.1kord-24) v101; urgency=medium

  *  BUG号bug#112948 【控制面板】【PC/TM】控制面板存在两个触摸屏选项
  *  需求号：无
  *  其他改动说明：
  *  其他改动影响域：无

 -- zhangdongwei <zhangdongwei@kylinos.cn>  Thu, 05 May 2022 10:20:35 +0800

libkysset (1.1kord-24) jammy; urgency=medium
  
  *  BUG号：bug#113662 【用例 306618】【触摸屏】无触摸映射校准功能
  *  需求号：无
  *  其他改动说明：
  *  其他改动影响域：无

 -- hechengyuan <hechengyuan@kylinos.cn>  Wed, 13 Apr 2022 16:03:02 +0800

libkysset (1.1kord-23) v101; urgency=medium
  
  *  BUG号：无
  *  需求号：无
  *  其他改动说明：取消插件UI边际
  *  其他改动影响域：无

 -- hechengyuan <hechengyuan@kylinos.cn>  Mon, 01 Nov 2021 09:41:31 +0800

libkysset (1.1kord-22) v101; urgency=medium
  
  *  BUG号：无
  *  需求号：无
  *  其他改动说明：加入replaces取代libkysset-dev
  *  其他改动影响域：无

 -- hechengyuan <hechengyuan@kylinos.cn>  Mon, 01 Nov 2021 09:41:31 +0800
libkysset (1.1kord-21) v101; urgency=medium
  
  *  BUG号：无
  *  需求号：无
  *  其他改动说明：安装此包时preinst脚本报错问题,使用dpkg-architecture获取安装路径
  *  其他改动影响域：无

 -- hechengyuan <hechengyuan@kylinos.cn>  Mon, 01 Nov 2021 09:41:31 +0800
libkysset (1.1kord-20) v101; urgency=medium
  
  *  BUG号：无
  *  需求号：无
  *  其他改动说明：fix:解决so同时被包含于软件包冲突问题 ,更改包名
  *  其他改动影响域：无

 -- hechengyuan <hechengyuan@kylinos.cn>  Mon, 01 Nov 2021 09:41:31 +0800
libkysset (1.1kord-19) v101; urgency=medium
  
  *  BUG号：无
  *  需求号：无
  *  其他改动说明：fix:解决so同时被包含于软件包冲突问题 
  *  其他改动影响域：无

 -- hechengyuan <hechengyuan@kylinos.cn>  Mon, 01 Nov 2021 09:41:31 +0800
libkysset (1.1kord-16) v101; urgency=medium
  
  *  BUG号：无
  *  需求号：无
  *  其他改动说明：触摸屏插件的解耦，解决无法翻译的问题
  *  其他改动影响域：无

 -- hechengyuan <hechengyuan@kylinos.cn>  Mon, 01 Nov 2021 09:41:31 +0800
libkysset (1.1kord-15) v101; urgency=medium
  
  *  BUG号：无
  *  需求号：无
  *  其他改动说明：触摸屏插件的解耦
  *  其他改动影响域：无

 -- hechengyuan <hechengyuan@kylinos.cn>  Mon, 01 Nov 2021 09:41:31 +0800
libkysset (1.1kord-14) v101; urgency=medium

  *  BUG号：无
  *  需求号：无
  *  其他改动说明：实现了控制面板触摸屏插件的解耦
  *  其他改动影响域：无

 -- hechengyuan <hechengyuan@kylinos.cn>  Mon, 01 Nov 2021 09:41:31 +0800

libkysset (1.1kord-13) v101; urgency=medium

  * 增加v10.1专业版版本

 -- zhangdongwei <zhangdongwei@kylinos.cn>  Mon, 04 Jan 2021 10:15:34 +0800

libkysset (1.1kord-29) juniper2; urgency=medium

  *代码优化,解决获取默认分辨率问题

 -- zhangdongwei <zhangdongwei@kylinos.cn>  Tue, 08 Dec 2020 15:10:25 +0800

libkysset (1.1kord-26) juniper2; urgency=medium

  *增加异常处理机制
  *增加错误码管理

 -- zhangdongwei <zhangdongwei@kylinos.cn>  Wed, 02 Dec 2020 20:08:58 +0800

libkysset (1.1kord-25) juniper2; urgency=medium

  *优化reset_output接口,增加automatic重置 

 -- zhangdongwei <zhangdongwei@kylinos.cn>  Mon, 30 Nov 2020 13:53:52 +0800

libkysset (1.1kord-24) juniper2; urgency=medium

  *优化部分接口 

 -- zhangdongwei <zhangdongwei@kylinos.cn>  Wed, 25 Nov 2020 15:43:18 +0800

libkysset (1.1kord-23) juniper2; urgency=medium

  *优化CMakeList.txt文件 

 -- zhangdongwei <zhangdongwei@kylinos.cn>  Wed, 18 Nov 2020 20:18:15 +0800

libkysset (1.1kord-20) juniper2; urgency=medium

  *解决显示配置相关接口多次调用时产生的bug 

 -- zhangdongwei <zhangdongwei@kylinos.cn>  Tue, 17 Nov 2020 09:25:40 +0800

libkysset (1.1kord-19) juniper2; urgency=medium

  * modify SetDpmsState() , modify usleep deley times

 -- zhangdongwei <zhangdongwei@kylinos.cn>  Fri, 13 Nov 2020 17:14:02 +0800

libkysset (1.1kord-18) juniper2; urgency=medium
   
  * modify SetDpmsState()

 -- zhangdongwei <zhangdongwei@kylinos.cn>  Tue, 27 Oct 2020 17:25:20 +0800
libkysset (1.1kord-17) juniper2; urgency=medium
   
  * modify dpms off delay times

 -- zhangdongwei <zhangdongwei@kylinos.cn>  Tue, 27 Oct 2020 17:25:20 +0800
libkysset (1.1kord-16) juniper2; urgency=medium
   
  * add xdpmsset API

 -- zhangdongwei <zhangdongwei@kylinos.cn>  Tue, 26 Oct 2020 10:25:20 +0800
libkysset (1.1kord-15) juniper2; urgency=medium

  * modify CMakeLists.txt 

 -- zhangdongwei <zhangdongwei@kylinos.cn>  Tue, 25 Aug 2020 09:22:20 +0800
libkysset (1.1kord-12) v101; urgency=medium

  * modify libkysset.h ,delate #include "typedef.h"

 -- zhangdongwei <zhangdongwei@kylinos.cn>  Tue, 25 Aug 2020 09:22:20 +0800
libkysset (1.1kord-11) v101; urgency=medium

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- zhangdongwei <zhangdongwei@kylinos.cn>  Tue, 25 Aug 2020 09:22:20 +0800
